package com.ss.android.ugc.aweme.detail.panel;

import X.08P;
import X.0HH;
import X.2GO;
import X.2UX;
import X.2ef;
import X.2nK;
import X.BPA;
import X.C3372BHs;
import X.C3374BHu;
import X.C3375BHv;
import X.LeS;
import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.core.g.t;
import com.bytedance.covode.number.Covode;
import com.bytedance.router.SmartRoute;
import com.bytedance.router.SmartRouter;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.music.model.Music;
import java.util.List;
import java.util.Objects;
import kotlin.h.b.n;

public final class StickerButtonPanel extends ShootFeedPanel implements 2GO {
    public final Bundle LIZ;

    static {
        Covode.recordClassIndex(63761);
    }

    public final void LIZ(View view) {
    }

    public final int LJIILIIL() {
        return 2131834584;
    }

    public final void LJJLIIIJLJLI() {
        if (this.LLILLL instanceof 2ef) {
            Object obj = this.LLILLL;
            Objects.requireNonNull(obj, "null cannot be cast to non-null type com.ss.android.ugc.aweme.profile.effect.IStickerQuery");
            ((2ef) obj).LIZ(LJJII(), new C3372BHs(this));
        }
    }

    public StickerButtonPanel(Bundle bundle) {
        this.LIZ = bundle;
    }

    public final void LIZLLL(List<Aweme> list) {
        StickerButtonPanel.super.LIZLLL(list);
        LJJLIIIJLJLI();
    }

    public final View LIZ(RelativeLayout relativeLayout) {
        View LIZ2 = 0HH.LIZ(LayoutInflater.from(this.LLL), 2131559531, relativeLayout, false);
        n.LIZIZ(LIZ2, "");
        return LIZ2;
    }

    public final void LIZ(View view, Bundle bundle) {
        StickerButtonPanel.super.LIZ(view, bundle);
        LJJLIIIJLJLI();
        this.LJJJLIIL.LIZ(new C3375BHv(this));
    }

    public final void LIZ(Context context, BPA bpa) {
        String str;
        String str2 = bpa.effectId;
        if (str2 != null) {
            2UX r2 = new 2UX();
            r2.LIZ("enter_from", this.LLIFFJFJJ.getPreviousPage());
            r2.LIZ("prop_id", bpa.effectId);
            r2.LIZ("author_id", bpa.ownerId);
            Aweme LJJII = LJJII();
            Music music = null;
            if (LJJII != null) {
                str = LJJII.getAid();
            } else {
                str = null;
            }
            r2.LIZ("group_id", str);
            r2.LIZ("enter_method", "profile_tab_bottom");
            2nK.LIZ("enter_prop_detail", r2.LIZ);
            SmartRoute buildRoute = SmartRouter.buildRoute(context, "aweme://stickers/detail");
            buildRoute.withParam("extra_sticker_from", "from_sticker_master_profile");
            buildRoute.withParam("extra_music_from", "from_sticker_master_profile");
            buildRoute.withParam("extra_stickers", LeS.LIZLLL(new String[]{str2}));
            Aweme LJJII2 = LJJII();
            if (LJJII2 != null) {
                music = LJJII2.getMusic();
            }
            buildRoute.withParam("music_model", music);
            buildRoute.open();
        }
    }

    public final void LIZ(View view, TextView textView, String str) {
        08P LIZJ = t.LIZJ(view);
        LIZJ.LIZ(0.0f);
        LIZJ.LIZ(100);
        C3374BHu bHu = new C3374BHu(textView, str, view);
        View view2 = (View) LIZJ.LIZ.get();
        if (view2 != null) {
            view2.animate().withEndAction(bHu);
        }
        LIZJ.LIZJ();
    }
}
